
--drop tables
DROP TABLE IF EXISTS airqualitystations_measurements;
DROP TABLE IF EXISTS airqualitystations_indexes;

--rename back tables to original names
ALTER TABLE airqualitystations_measurements_old RENAME TO airqualitystations_measurements;
ALTER TABLE airqualitystations_measurements_max_old RENAME TO airqualitystations_measurements_max;
ALTER TABLE airqualitystations_indexes_old RENAME TO airqualitystations_indexes;

--rename back partitions to original names
ALTER TABLE airqualitystations_measurements_min_old RENAME TO airqualitystations_measurements_min;
ALTER TABLE airqualitystations_measurements_y2020m05_old RENAME TO airqualitystations_measurements_y2020m05;
ALTER TABLE airqualitystations_measurements_y2020m06_old RENAME TO airqualitystations_measurements_y2020m06;
ALTER TABLE airqualitystations_measurements_y2020m07_old RENAME TO airqualitystations_measurements_y2020m07;
ALTER TABLE airqualitystations_measurements_y2020m08_old RENAME TO airqualitystations_measurements_y2020m08;
ALTER TABLE airqualitystations_measurements_y2020m09_old RENAME TO airqualitystations_measurements_y2020m09;
ALTER TABLE airqualitystations_measurements_y2020m10_old RENAME TO airqualitystations_measurements_y2020m10;
ALTER TABLE airqualitystations_measurements_y2020m11_old RENAME TO airqualitystations_measurements_y2020m11;
ALTER TABLE airqualitystations_measurements_y2020m12_old RENAME TO airqualitystations_measurements_y2020m12;

ALTER TABLE airqualitystations_measurements_y2021m01_old RENAME TO airqualitystations_measurements_y2021m01;
ALTER TABLE airqualitystations_measurements_y2021m02_old RENAME TO airqualitystations_measurements_y2021m02;
ALTER TABLE airqualitystations_measurements_y2021m03_old RENAME TO airqualitystations_measurements_y2021m03;
ALTER TABLE airqualitystations_measurements_y2021m04_old RENAME TO airqualitystations_measurements_y2021m04;
ALTER TABLE airqualitystations_measurements_y2021m05_old RENAME TO airqualitystations_measurements_y2021m05;
ALTER TABLE airqualitystations_measurements_y2021m06_old RENAME TO airqualitystations_measurements_y2021m06;
ALTER TABLE airqualitystations_measurements_y2021m07_old RENAME TO airqualitystations_measurements_y2021m07;
ALTER TABLE airqualitystations_measurements_y2021m08_old RENAME TO airqualitystations_measurements_y2021m08;
ALTER TABLE airqualitystations_measurements_y2021m09_old RENAME TO airqualitystations_measurements_y2021m09;
ALTER TABLE airqualitystations_measurements_y2021m10_old RENAME TO airqualitystations_measurements_y2021m10;
ALTER TABLE airqualitystations_measurements_y2021m11_old RENAME TO airqualitystations_measurements_y2021m11;
ALTER TABLE airqualitystations_measurements_y2021m12_old RENAME TO airqualitystations_measurements_y2021m12;

ALTER TABLE airqualitystations_measurements_y2022m01_old RENAME TO airqualitystations_measurements_y2022m01;
ALTER TABLE airqualitystations_measurements_y2022m02_old RENAME TO airqualitystations_measurements_y2022m02;
ALTER TABLE airqualitystations_measurements_y2022m03_old RENAME TO airqualitystations_measurements_y2022m03;
ALTER TABLE airqualitystations_measurements_y2022m04_old RENAME TO airqualitystations_measurements_y2022m04;
ALTER TABLE airqualitystations_measurements_y2022m05_old RENAME TO airqualitystations_measurements_y2022m05;
ALTER TABLE airqualitystations_measurements_y2022m06_old RENAME TO airqualitystations_measurements_y2022m06;
ALTER TABLE airqualitystations_measurements_y2022m07_old RENAME TO airqualitystations_measurements_y2022m07;
ALTER TABLE airqualitystations_measurements_y2022m08_old RENAME TO airqualitystations_measurements_y2022m08;
ALTER TABLE airqualitystations_measurements_y2022m09_old RENAME TO airqualitystations_measurements_y2022m09;
ALTER TABLE airqualitystations_measurements_y2022m10_old RENAME TO airqualitystations_measurements_y2022m10;
ALTER TABLE airqualitystations_measurements_y2022m11_old RENAME TO airqualitystations_measurements_y2022m11;
ALTER TABLE airqualitystations_measurements_y2022m12_old RENAME TO airqualitystations_measurements_y2022m12;

ALTER TABLE airqualitystations_measurements_y2023m01_old RENAME TO airqualitystations_measurements_y2023m01;
ALTER TABLE airqualitystations_measurements_y2023m02_old RENAME TO airqualitystations_measurements_y2023m02;
ALTER TABLE airqualitystations_measurements_y2023m03_old RENAME TO airqualitystations_measurements_y2023m03;
ALTER TABLE airqualitystations_measurements_y2023m04_old RENAME TO airqualitystations_measurements_y2023m04;
ALTER TABLE airqualitystations_measurements_y2023m05_old RENAME TO airqualitystations_measurements_y2023m05;
ALTER TABLE airqualitystations_measurements_y2023m06_old RENAME TO airqualitystations_measurements_y2023m06;
ALTER TABLE airqualitystations_measurements_y2023m07_old RENAME TO airqualitystations_measurements_y2023m07;
ALTER TABLE airqualitystations_measurements_y2023m08_old RENAME TO airqualitystations_measurements_y2023m08;
ALTER TABLE airqualitystations_measurements_y2023m09_old RENAME TO airqualitystations_measurements_y2023m09;
ALTER TABLE airqualitystations_measurements_y2023m10_old RENAME TO airqualitystations_measurements_y2023m10;
ALTER TABLE airqualitystations_measurements_y2023m11_old RENAME TO airqualitystations_measurements_y2023m11;
ALTER TABLE airqualitystations_measurements_y2023m12_old RENAME TO airqualitystations_measurements_y2023m12;

ALTER TABLE airqualitystations_measurements_y2024m01_old RENAME TO airqualitystations_measurements_y2024m01;
ALTER TABLE airqualitystations_measurements_y2024m02_old RENAME TO airqualitystations_measurements_y2024m02;
ALTER TABLE airqualitystations_measurements_y2024m03_old RENAME TO airqualitystations_measurements_y2024m03;
ALTER TABLE airqualitystations_measurements_y2024m04_old RENAME TO airqualitystations_measurements_y2024m04;
ALTER TABLE airqualitystations_measurements_y2024m05_old RENAME TO airqualitystations_measurements_y2024m05;
ALTER TABLE airqualitystations_measurements_y2024m06_old RENAME TO airqualitystations_measurements_y2024m06;
ALTER TABLE airqualitystations_measurements_y2024m07_old RENAME TO airqualitystations_measurements_y2024m07;
ALTER TABLE airqualitystations_measurements_y2024m08_old RENAME TO airqualitystations_measurements_y2024m08;
ALTER TABLE airqualitystations_measurements_y2024m09_old RENAME TO airqualitystations_measurements_y2024m09;
ALTER TABLE airqualitystations_measurements_y2024m10_old RENAME TO airqualitystations_measurements_y2024m10;
ALTER TABLE airqualitystations_measurements_y2024m11_old RENAME TO airqualitystations_measurements_y2024m11;
ALTER TABLE airqualitystations_measurements_y2024m12_old RENAME TO airqualitystations_measurements_y2024m12;

ALTER TABLE airqualitystations_measurements_y2025m01_old RENAME TO airqualitystations_measurements_y2025m01;
ALTER TABLE airqualitystations_measurements_y2025m02_old RENAME TO airqualitystations_measurements_y2025m02;
ALTER TABLE airqualitystations_measurements_y2025m03_old RENAME TO airqualitystations_measurements_y2025m03;
ALTER TABLE airqualitystations_measurements_y2025m04_old RENAME TO airqualitystations_measurements_y2025m04;
ALTER TABLE airqualitystations_measurements_y2025m05_old RENAME TO airqualitystations_measurements_y2025m05;
ALTER TABLE airqualitystations_measurements_y2025m06_old RENAME TO airqualitystations_measurements_y2025m06;
ALTER TABLE airqualitystations_measurements_y2025m07_old RENAME TO airqualitystations_measurements_y2025m07;
ALTER TABLE airqualitystations_measurements_y2025m08_old RENAME TO airqualitystations_measurements_y2025m08;
ALTER TABLE airqualitystations_measurements_y2025m09_old RENAME TO airqualitystations_measurements_y2025m09;
ALTER TABLE airqualitystations_measurements_y2025m10_old RENAME TO airqualitystations_measurements_y2025m10;
ALTER TABLE airqualitystations_measurements_y2025m11_old RENAME TO airqualitystations_measurements_y2025m11;
ALTER TABLE airqualitystations_measurements_y2025m12_old RENAME TO airqualitystations_measurements_y2025m12;
